from web.safe.models import Experiment, DesignPoint, Factor, Level
import EEM

def launch_experiment(exp_id):
    create_designpoints(exp_id)
    EEM.main(experiment = exp_id)

def create_designpoints(exp_id):
    """ makes list of design points in the form of nested lists
        then store them in the database"""
    design_point_array = []
    exp = Experiment.objects.get(pk=exp_id)
    factors = exp.exp_description.factor_set.all()
    first_iter = True
    for f in factors:
        levels = f.level_set.filter(experiment = exp).select_subclasses()
        if first_iter and len(levels) > 0:
            for l in levels:
                design_point_array += [[l]]
            first_iter = False
        elif len(levels) > 0:
            temparr = []
            for d in design_point_array:
                for l in levels:
                    temparr += [(d + [l])]
                    
            design_point_array = temparr

    for d in design_point_array:
        point = DesignPoint(experiment = exp)
        point.save()
        for level in d:
            point.levels.add(level)
