# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Installation'
        db.create_table(u'safe_installation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('tarball_path', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
            ('simulator_folder', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('public', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('owner', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
        ))
        db.send_create_signal(u'safe', ['Installation'])

        # Adding unique constraint on 'Installation', fields ['name', 'owner']
        db.create_unique(u'safe_installation', ['name', 'owner_id'])

        # Adding model 'ExpDescription'
        db.create_table(u'safe_expdescription', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('script', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('installation', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Installation'])),
            ('owner', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('public', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'safe', ['ExpDescription'])

        # Adding unique constraint on 'ExpDescription', fields ['name', 'owner']
        db.create_unique(u'safe_expdescription', ['name', 'owner_id'])

        # Adding model 'Experiment'
        db.create_table(u'safe_experiment', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('create_date', self.gf('django.db.models.fields.DateTimeField')()),
            ('replications', self.gf('django.db.models.fields.IntegerField')()),
            ('exp_description', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.ExpDescription'])),
            ('owner', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('public', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'safe', ['Experiment'])

        # Adding unique constraint on 'Experiment', fields ['name', 'owner']
        db.create_unique(u'safe_experiment', ['name', 'owner_id'])

        # Adding model 'Metric'
        db.create_table(u'safe_metric', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('exp_description', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.ExpDescription'])),
            ('data_type', self.gf('django.db.models.fields.CharField')(default='double', max_length=20)),
            ('units', self.gf('django.db.models.fields.CharField')(max_length=20)),
        ))
        db.send_create_signal(u'safe', ['Metric'])

        # Adding model 'Factor'
        db.create_table(u'safe_factor', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=40)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('visible', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('exp_description', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.ExpDescription'])),
            ('data_type', self.gf('django.db.models.fields.CharField')(default='double', max_length=20)),
        ))
        db.send_create_signal(u'safe', ['Factor'])

        # Adding model 'DesignPoint'
        db.create_table(u'safe_designpoint', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('experiment', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Experiment'])),
        ))
        db.send_create_signal(u'safe', ['DesignPoint'])

        # Adding model 'Level'
        db.create_table(u'safe_level', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('factor', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Factor'])),
            ('experiment', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Experiment'])),
            ('design_point', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.DesignPoint'])),
        ))
        db.send_create_signal(u'safe', ['Level'])

        # Adding model 'Worker'
        db.create_table(u'safe_worker', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('path', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('host', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('auth_key', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('connected', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'safe', ['Worker'])

        # Adding model 'SimulationRun'
        db.create_table(u'safe_simulationrun', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('design_point', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.DesignPoint'])),
            ('start_time', self.gf('django.db.models.fields.DateTimeField')()),
            ('end_time', self.gf('django.db.models.fields.DateTimeField')(null=True)),
            ('isFinished', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('success', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('worker', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Worker'])),
        ))
        db.send_create_signal(u'safe', ['SimulationRun'])

        # Adding model 'ResultSet'
        db.create_table(u'safe_resultset', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('metric', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Metric'])),
            ('simulation_run', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.SimulationRun'])),
        ))
        db.send_create_signal(u'safe', ['ResultSet'])

        # Adding model 'IntegerData'
        db.create_table(u'safe_integerdata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.IntegerField')()),
            ('time', self.gf('django.db.models.fields.FloatField')(null=True)),
        ))
        db.send_create_signal(u'safe', ['IntegerData'])

        # Adding model 'DoubleData'
        db.create_table(u'safe_doubledata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.FloatField')()),
            ('time', self.gf('django.db.models.fields.FloatField')(null=True)),
        ))
        db.send_create_signal(u'safe', ['DoubleData'])

        # Adding model 'BooleanData'
        db.create_table(u'safe_booleandata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('time', self.gf('django.db.models.fields.FloatField')(null=True)),
        ))
        db.send_create_signal(u'safe', ['BooleanData'])

        # Adding model 'DoubleDoubleData'
        db.create_table(u'safe_doubledoubledata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.FloatField')()),
            ('value2', self.gf('django.db.models.fields.FloatField')()),
            ('time', self.gf('django.db.models.fields.FloatField')(null=True)),
        ))
        db.send_create_signal(u'safe', ['DoubleDoubleData'])

        # Adding model 'TimestampedDoubleData'
        db.create_table(u'safe_timestampeddoubledata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.FloatField')()),
            ('time', self.gf('django.db.models.fields.FloatField')()),
        ))
        db.send_create_signal(u'safe', ['TimestampedDoubleData'])


    def backwards(self, orm):
        # Removing unique constraint on 'Experiment', fields ['name', 'owner']
        db.delete_unique(u'safe_experiment', ['name', 'owner_id'])

        # Removing unique constraint on 'ExpDescription', fields ['name', 'owner']
        db.delete_unique(u'safe_expdescription', ['name', 'owner_id'])

        # Removing unique constraint on 'Installation', fields ['name', 'owner']
        db.delete_unique(u'safe_installation', ['name', 'owner_id'])

        # Deleting model 'Installation'
        db.delete_table(u'safe_installation')

        # Deleting model 'ExpDescription'
        db.delete_table(u'safe_expdescription')

        # Deleting model 'Experiment'
        db.delete_table(u'safe_experiment')

        # Deleting model 'Metric'
        db.delete_table(u'safe_metric')

        # Deleting model 'Factor'
        db.delete_table(u'safe_factor')

        # Deleting model 'DesignPoint'
        db.delete_table(u'safe_designpoint')

        # Deleting model 'Level'
        db.delete_table(u'safe_level')

        # Deleting model 'Worker'
        db.delete_table(u'safe_worker')

        # Deleting model 'SimulationRun'
        db.delete_table(u'safe_simulationrun')

        # Deleting model 'ResultSet'
        db.delete_table(u'safe_resultset')

        # Deleting model 'IntegerData'
        db.delete_table(u'safe_integerdata')

        # Deleting model 'DoubleData'
        db.delete_table(u'safe_doubledata')

        # Deleting model 'BooleanData'
        db.delete_table(u'safe_booleandata')

        # Deleting model 'DoubleDoubleData'
        db.delete_table(u'safe_doubledoubledata')

        # Deleting model 'TimestampedDoubleData'
        db.delete_table(u'safe_timestampeddoubledata')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'safe.booleandata': {
            'Meta': {'object_name': 'BooleanData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'time': ('django.db.models.fields.FloatField', [], {'null': 'True'})
        },
        u'safe.designpoint': {
            'Meta': {'object_name': 'DesignPoint'},
            'experiment': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Experiment']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'safe.doubledata': {
            'Meta': {'object_name': 'DoubleData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {}),
            'time': ('django.db.models.fields.FloatField', [], {'null': 'True'})
        },
        u'safe.doubledoubledata': {
            'Meta': {'object_name': 'DoubleDoubleData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {}),
            'value2': ('django.db.models.fields.FloatField', [], {}),
            'time': ('django.db.models.fields.FloatField', [], {'null': 'True'})
        },
        u'safe.expdescription': {
            'Meta': {'unique_together': "(('name', 'owner'),)", 'object_name': 'ExpDescription'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Installation']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'script': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'safe.experiment': {
            'Meta': {'unique_together': "(('name', 'owner'),)", 'object_name': 'Experiment'},
            'create_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'replications': ('django.db.models.fields.IntegerField', [], {})
        },
        u'safe.factor': {
            'Meta': {'object_name': 'Factor'},
            'data_type': ('django.db.models.fields.CharField', [], {'default': "'double'", 'max_length': '20'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'visible': ('django.db.models.fields.BooleanField', [], {'default': 'True'})
        },
        u'safe.installation': {
            'Meta': {'unique_together': "(('name', 'owner'),)", 'object_name': 'Installation'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'simulator_folder': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'tarball_path': ('django.db.models.fields.files.FileField', [], {'max_length': '100'})
        },
        u'safe.integerdata': {
            'Meta': {'object_name': 'IntegerData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.IntegerField', [], {}),
            'time': ('django.db.models.fields.FloatField', [], {'null': 'True'})
        },
        u'safe.level': {
            'Meta': {'object_name': 'Level'},
            'design_point': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.DesignPoint']"}),
            'experiment': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Experiment']"}),
            'factor': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Factor']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'safe.metric': {
            'Meta': {'object_name': 'Metric'},
            'data_type': ('django.db.models.fields.CharField', [], {'default': "'double'", 'max_length': '20'}),
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'units': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'safe.resultset': {
            'Meta': {'object_name': 'ResultSet'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Metric']"}),
            'simulation_run': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.SimulationRun']"})
        },
        u'safe.simulationrun': {
            'Meta': {'object_name': 'SimulationRun'},
            'design_point': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.DesignPoint']"}),
            'end_time': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'isFinished': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'start_time': ('django.db.models.fields.DateTimeField', [], {}),
            'success': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'worker': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Worker']"})
        },
        u'safe.timestampeddoubledata': {
            'Meta': {'object_name': 'TimestampedDoubleData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'time': ('django.db.models.fields.FloatField', [], {}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {})
        },
        u'safe.worker': {
            'Meta': {'object_name': 'Worker'},
            'auth_key': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'connected': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'host': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['safe']
