from safe.models import *
from rest_framework import serializers


class ExpDescriptionSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    model = ExpDescription
    fields = ('url', 'id', 'name', 'description', 'script', 'installation', 'owner', 'public')

class InstallationSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    fields = ('url', 'id', 'name', 'description', 'tarball_path', 'public', 'owner')
    model = Installation

class ExperimentSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    model = Experiment

class UserSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    model = User
    fields = ('username','first_name','last_name','email')

class MetricSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    model = Metric
    read_only_fields = ('name', 'exp_description', 'data_type', 'units')

class FactorSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    model = Factor

class DesignPointSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    model = DesignPoint

class LevelSerializer(serializers.HyperlinkedModelSerializer):
 class Meta:
    model = Level


class WorkerSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    model = Worker

class SimulationRunSerializer(serializers.HyperlinkedModelSerializer):
  class Meta:
    model = SimulationRun


