from django.conf.urls import patterns, url, include
from rest_framework import routers
from safe import views

#SPECIAL VIEWS
#(that are not only CRUD)

urlpatterns = patterns('',
    url(r'^installations/SLED/', views.sled_parser),
    

    url(r'^simrun/(?P<sim_run_id>\d+)/metric/(?P<metric_id>\d+)/results/', views.results_query),
    url(r'^simrun/(?P<sim_run>\d+)/results/', views.data_query),
    
    url(r'^metric/(?P<metric_id>\d+)/results/', views.multi_results_query),

    url(r'^exp-desc/(?P<desc_id>\d+)/factors/', views.desc_factors),    

    url(r'^user/(?P<user_id>\d+)/experiments/', views.desc_experiments),
    url(r'^user/(?P<user_id>\d+)/exp-desc/', views.desc_expdesc),    

    url(r'^view_experiments/', views.desc_current_experiments),

    url(r'^exp/(?P<exp_id>\d+)/factors/', views.exp_factors),    
    url(r'^exp/(?P<exp_id>\d+)/factor/(?P<factor_name>\w+)/metric/(?P<metric_id>\d+)', views.factor_results),    
    url(r'^exp/(?P<exp_id>\d+)/simruns/', views.exp_simruns),    
    url(r'^exp/(?P<exp_id>\d+)/levels/', views.exp_levels),    
    url(r'^exp/(?P<exp_id>\d+)/run/', views.run_experiment),    
    url(r'^exp/(?P<exp_id>\d+)/delete/', views.delete_experiment),    
    url(r'^exp/(?P<exp_id>\d+)/status/', views.exp_status),
    url(r'^exp/(?P<exp_id>\d+)/metrics/', views.metrics_query),
    url(r'^exp/(?P<exp_id>\d+)/designpoints/', views.dp_query),
    url(r'^exp/(?P<exp_id>\d+)/dp-range-query/', views.dp_range_query),
    url(r'^exp/(?P<exp_id>\d+)/', views.get_exp_info),    

                       
    url(r'^designpoint/(?P<dp_id>\d+)/simruns/', views.simrun_dp_query),
    url(r'^designpoint/(?P<dp_id>\d+)/metric/(?P<metric_id>\d+)/results/', views.aggregate_query),

    url(r'^dp-query/', views.dp_factor_query),
    
    url(r'^level-upload/', views.level_upload),
    url(r'^create-user/', views.create_user)


)





#################################################################
#
# Below this point is code to setup urls for the REST API
#
#################################################################

router = routers.DefaultRouter()

router.register(r'installations', views.InstallationViewSet)
router.register(r'experiments', views.ExperimentViewSet)
router.register(r'exp-descs', views.ExpDescViewSet)
router.register(r'users', views.UserViewSet)
router.register(r'metrics', views.MetricViewSet)
router.register(r'factors', views.FactorViewSet)
router.register(r'workers', views.WorkerViewSet)
router.register(r'design-point', views.DesignPointViewSet)
router.register(r'simulation-run', views.SimulationRunViewSet)

#router.register(r''

urlpatterns += patterns('',
    url(r'^', include(router.urls)),
    url(r'^api-auth/', include('rest_framework.urls',
                               namespace='rest_framework')),
    url(r'^api-token-auth/', 'rest_framework.authtoken.views.obtain_auth_token'),

    )

