ScatterMagnitude.prototype = new BaseMagnitude();
ScatterMagnitude.prototype.constructor = ScatterMagnitude;

function ScatterMagnitude(margins, width, height, parentDomTag){
    console.log("Initializing ScatterMagnitude...");
    console.log(this);
    BaseMagnitude.apply(this);
    this.init(margins, width, height, parentDomTag); 

    return this;
}

ScatterMagnitude.prototype.display = function(id){
    if(this.toDisplay[id] != true) { 
        console.log("Removing...", this.toDisplay[id]);
        this.svg.selectAll(".dataPoint_" + id).remove();
        return;
    }

    currentData = [];
    this.data[id].forEach(function(dataPoint){
        if(this.dXScale.domain()[0] <= dataPoint.time && dataPoint.time <= this.dXScale.domain()[1])
            if(this.dYScale.domain()[0] <= dataPoint.value && dataPoint.value <= this.dYScale.domain()[1])
                currentData.push(dataPoint);
        }.bind(this));

    points = this.svg.selectAll(".dataPoint_" + id).data(currentData);
    points.enter()
        .append("circle")
        .attr("class", "dataPoint_" + id)
        .on(this.mouseEvents[id]); 

    points
        .attr("cx", function (d) { return this.jMargin.left + this.dXScale(d.time) }.bind(this))
        .attr("cy", function (d) { return this.jMargin.top + this.dYScale(d.value) }.bind(this))
        .attr(this.pointAttributes[id]);

	points.exit().remove();	
}

