SelectionFactor = function(exp_id, changeCallBack, parentDomId){
    this.exp_id = exp_id;
    this.callBack = changeCallBack;
    this.dParent = d3.select("#" + parentDomId);
    this.eParent = document.getElementById(parentDomId);
}

SelectionFactor.prototype.readInitialData = function(callBack){
    d3.json("/safe/exp/" + exp_id + "/factors/", function(error, data){
        if(error){ console.warn(error) }

        this.factorList = {};
        data.forEach(function(factor){ this.factorList[factor.id] = factor }.bind(this));
        if(callBack != undefined){ callBack() }
    });
}

SelectionFactor.prototype.initComponents = function(){
    thid.dSelect = this.dParent.selectAll(".selectFactor").data([""]).enter()
        .append("div")
        .append("select")
        .attr("class", "key_line selectFactor")
        .on("change", this.selectChange.bind(this));
    this.eSelect = this.eParent.getelementByClassName("selectFactor")[0];

    this.dSelectFactor
        .selectAll("option")
        .data(Object.keys(this.factorList))
        .enter()
        .append("option")
        .attr("factor", function(d) { return d })
        .text(function(d) { return this.factorList[d].name }.bind(this));
}

SelectionFactor.prototype.selectChange = function(){
    console.log("Factor changed...");
    console.log(this);

    this.callBack(this.getSelectedFactor);
}

SelectionFactor.prototype.getSelectedFactor = function(){
    var factor_id = this.eSelect.options[this.eSelect.selectedIndex].getAttribute("factor");
    return this.factorList[factor_id];
}
